cd ../../
basepath=$(cd `dirname $0`; pwd)
project_name=${basepath##*/}
echo -n "请输入渠道名（多个渠道逗号隔开,使用默认渠道文件按回车）："
read channels
cd lib_base/script/

if [[ -z ${channels} ]]
then
    java -jar walle-cli-all.jar batch -f ../../script/channels ../../resGuardApks/"${project_name}"_release.apk
else
    java -jar walle-cli-all.jar batch -c "${channels}" ../../resGuardApks/"${project_name}"_release.apk
fi